def countLines(file):
    file.seek(0)                                 # Przewinięcie do początku pliku
    return len(file.readlines())

def countChars(file):
    file.seek(0)                                 # To samo (przewinięcie, jeśli jest konieczne)
    return len(file.read())

def test(name):
    file = open(name)                            # Przekazanie obiektu pliku
    return countLines(file), countChars(file)    # Plik otwierany tylko raz

